Bug 726682 - Backtrace: global name 'dbus' is not defined
Summary: Backtrace: global name 'dbus' is not defined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-29 12:29 UTC by Sandro Mani
Modified: 2011-08-12 18:19 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-12 10:58:06 UTC
Type: ---


Attachments (Terms of Use)

Description Sandro Mani 2011-07-29 12:29:49 UTC
Description of problem:
Backtrace

Version-Release number of selected component (if applicable):
system-config-printer-1.3.4-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-printer in terminal
2. Server -> Settings
3. Select following previously unselected checkboxes
   [x] Publisch shared printers connected to this system
   [x] Allow remote administration
   Press Ok

Actual results:
Backtrace appears:
Traceback (most recent call last):
  File "/usr/share/system-config-printer/serversettings.py", line 356, in on_response
    self.saveBasic ()
  File "/usr/share/system-config-printer/serversettings.py", line 553, in saveBasic
    except (dbus.DBusException, Exception):
NameError: global name 'dbus' is not defined

Expected results:
No backtrace

Additional info:

Comment 1 Tim Waugh 2011-07-29 14:52:58 UTC
Fixed upstream in commit 895b664.

Comment 2 Fedora Update System 2011-07-29 16:10:53 UTC
system-config-printer-1.3.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-1.fc15

Comment 3 Fedora Update System 2011-07-31 03:49:31 UTC
Package system-config-printer-1.3.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-02 02:02:12 UTC
Package system-config-printer-1.3.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-2.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-03 02:31:04 UTC
Package system-config-printer-1.3.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.3.5-3.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-12 10:57:09 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-08-12 18:18:24 UTC
system-config-printer-1.3.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.